reinitialize
bg_color white

# Loren Williams, Georgia Tech
# pymol script for DNA triplex

load 1GN7.pdb, coords
remove hydrogens
create strand_1, coords and resi 1-8
create strand_2, coords and resi 13-20
create strand_3, coords and resi 25-32

set cartoon_ring_mode=3, coords
set cartoon_tube_radius=0.6, coords
hide everything, all
show cartoon, coords
show stick, strand_*
color red, strand_1
color blue, strand_2
color cyan, strand_3

#  make the xyz axis
create axis, resn axe
show stick, axis
label axis and name XT, "X"
label axis and name YT, "Y"
label axis and name ZT, "Z"
set label_color, black, axis 
delete axis

# show triples

create triple_TAT, (/coord//A/DT`18/* OR /coord//A/DA`3/* or /coord//A/DT`27/*) AND coords
create triple_CGG, (/coord//A/DC`17/* or /coord//A/DG`4/* or coord//A/GN7`28/*) AND coords

show stick, triple_*


#color red, (resn ADE or resn A) and (coord)
#color blue, (resn URA or resn U) and (coord)
#color forest, (resn CYT or resn C) and (coord)
# color violetpurple, (resn GUA or resn G) and (coord)




color wheat, name C* and (triple_*)
color red, name O* and (triple_*)
color blue, name N* and (triple_*)
color yellow, name P* and (triple_*)



set label_size, -0.5, HB_*
color black, HB_*


set_view (\
     0.787227929,   -0.344117820,   -0.511719167,\
    -0.544939578,    0.000211920,   -0.838477254,\
     0.288642973,    0.938928962,   -0.187355757,\
     0.000000000,    0.000000000, -138.930130005,\
     0.497732162,    1.025531769,    0.349868774,\
   125.936737061,  151.923492432,    0.000000000 )

disable all
enable coord

# remove the # from two lines below to make another beautiful figure <----edit
# ray 1200,1200
# save triplex_1a.png
